Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 188336 - hideEmptyDocArea=true produces NullPointerException
hideEmptyDocArea=true produces NullPointerException
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P3 (vote)
: 7.0
Assigned To: issues@platform
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 23:08 UTC by ecerulm
Modified: 2010-07-15 03:31 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ecerulm 2010-07-02 23:08:20 UTC
adding 

run.args.extra=-J-Dnetbeans.winsys.hideEmptyDocArea=true

produces an NPE at startup in a minimal application containing only one module with  two TopComponent in two modes (both kind="view")



java.lang.NullPointerException
	at org.netbeans.core.windows.ModeStructureSnapshot$EditorSnapshot.isVisibleInSplit(ModeStructureSnapshot.java:443)
	at org.netbeans.core.windows.ModeStructureSnapshot$EditorSnapshot.hasVisibleDescendant(ModeStructureSnapshot.java:451)
	at org.netbeans.core.windows.ModeStructureSnapshot$SplitSnapshot.getVisibleChildSnapshots(ModeStructureSnapshot.java:219)
	at org.netbeans.core.windows.view.ViewHelper.createSplitAccessor(ViewHelper.java:190)
	...
        ....


I get the same behaviour  if I use System.setProperty("netbeans.winsys.hideEmptyDocArea", "true"); in the module Installer.
Comment 1 ecerulm 2010-07-02 23:09:07 UTC
The full stack trace is 



java.lang.NullPointerException
	at org.netbeans.core.windows.ModeStructureSnapshot$EditorSnapshot.isVisibleInSplit(ModeStructureSnapshot.java:443)
	at org.netbeans.core.windows.ModeStructureSnapshot$EditorSnapshot.hasVisibleDescendant(ModeStructureSnapshot.java:451)
	at org.netbeans.core.windows.ModeStructureSnapshot$SplitSnapshot.getVisibleChildSnapshots(ModeStructureSnapshot.java:219)
	at org.netbeans.core.windows.view.ViewHelper.createSplitAccessor(ViewHelper.java:190)
	at org.netbeans.core.windows.view.ViewHelper.createVisibleAccessor(ViewHelper.java:166)
	at org.netbeans.core.windows.view.ViewHelper.createModeStructureAccessor(ViewHelper.java:110)
	at org.netbeans.core.windows.view.ViewHelper.createWindowSystemAccessor(ViewHelper.java:89)
	at org.netbeans.core.windows.view.DefaultView.changeGUI(DefaultView.java:142)
	at org.netbeans.core.windows.ViewRequestor.dispatchRequest(ViewRequestor.java:272)
	at org.netbeans.core.windows.ViewRequestor.processVisibilityRequest(ViewRequestor.java:261)
	at org.netbeans.core.windows.ViewRequestor.postVisibilityRequest(ViewRequestor.java:198)
	at org.netbeans.core.windows.ViewRequestor.scheduleRequest(ViewRequestor.java:120)
	at org.netbeans.core.windows.Central.setVisible(Central.java:122)
	at org.netbeans.core.windows.WindowManagerImpl.setVisible(WindowManagerImpl.java:788)
	at org.netbeans.core.windows.WindowSystemImpl.show(WindowSystemImpl.java:87)
[catch] at org.netbeans.core.GuiRunLevel$2.run(GuiRunLevel.java:186)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:633)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:137)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Comment 2 ecerulm 2010-07-02 23:16:45 UTC
I found that this only happens if layer.xml hides the editor.wsmode
<folder name="Windows2">
   <folder name="Modes">
           <folder name="editor_hidden"/>
            <file name="editor.wsmode_hidden"/> 
    </folder>
</folder>

So probably it's not really a fault and it should be closed as INVALID
Comment 3 Stanislav Aubrecht 2010-07-14 11:42:57 UTC
core-main 6e9b707a0905
Comment 4 Quality Engineering 2010-07-15 03:31:36 UTC
Integrated into 'main-golden', will be available in build *201007150001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/6e9b707a0905
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #188336 - NPE


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo